Next Previous Up Contents
Next: Examples
Up: votcopy: Transforms between VOTable encodings
Previous: votcopy: Transforms between VOTable encodings

### B.48.1 Usage

The usage of `votcopy` is

       stilts <stilts-flags> votcopy version=1.0|1.1|1.2|1.3|1.4|1.5|1.6
                                     charset=<xml-encoding> cache=true|false
                                     href=true|false nomagic=true|false
                                     base=<location>
                                     [in=]<location> [out=]<location>
                                     [format=]TABLEDATA|BINARY|BINARY2|FITS

If you don't have the `stilts` script installed, write "`java -jar stilts.jar`" instead of "`stilts`" - see Section 3. The available `<stilts-flags>` are listed in Section 2.1. For programmatic invocation, the Task class for this command is `uk.ac.starlink.ttools.task.VotCopy`.

Parameter values are assigned on the command line as explained in Section 2.3. They are as follows:

`base = <location>` (String)
  Determines the name of external output files written when the `href` flag is true. Normally these are given names based on the name of the output file. But if this flag is given, the names will be based on the `<location>` string. This flag is compulsory if `href` is true and `out=-` (output is to standard out), since in this case there is no default base name to use.
`cache = true|false` (Boolean)
  Determines whether the input tables are read into a cache prior to being written out. The default is selected automatically depending on the input table; so you should normally leave this flag alone.
`charset = <xml-encoding>` (Charset)
  Selects the Unicode encoding used for the output XML. The available options are dependent on your JVM, use `help=charset` for a full listing. Setting the value null will use the JVM's system default.

  [Default: `UTF-8`]

`format = TABLEDATA|BINARY|BINARY2|FITS` (uk.ac.starlink.votable.DataFormat)
  Determines the encoding format of the table data in the output document. If `null` is selected, then the tables will be data-less (will contain no DATA element), leaving only the document structure. Data-less tables are legal VOTable elements.

  The `BINARY2` format is only available for `version`=`1.3`

  [Default: `TABLEDATA`]

`href = true|false` (Boolean)
  In the case of BINARY or FITS encoding, this determines whether the STREAM elements output will contain their data inline or externally. If set false, the output document will be self-contained, with STREAM data inline as base64-encoded characters. If true, then for each TABLE in the document the binary data will be written to a separate file and referenced by an href attribute on the corresponding STREAM element. The name of these files is usually determined by the name of the main output file; but see also the `base` flag.
`in = <location>` (String)
  Location of the input VOTable. May be a URL, filename, or "-" to indicate standard input. The input table may be compressed using one of the known compression formats (Unix compress, gzip or bzip2).

  [Default: `-`]

`nomagic = true|false` (Boolean)
  Eliminate the `null` attributes of `VALUES` elements where they are no longer required. In VOTable versions <=1.2, the only way to specify null values for integer-type scalar columns was to use the `null` attribute of the `VALUES` element to indicate an in-band magic value representing null. From VOTable v1.3, null values can be represented using empty `<TD>` elements or flagged specially in `BINARY2` streams. In these cases, it is recommended (though not required) not to use the `VALUES`/`null` mechanism.

  If this parameter is set true, then any `VALUES`/`null` attributes will be removed in VOTable 1.3 BINARY2 or TABLEDATA output. If this results in an empty `VALUES` element, it too will be removed.

  This parameter is ignored if the output VOTable version is lower than 1.3 or if `format`=BINARY/FITS.

  [Default: `true`]

`out = <location>` (String)
  Location of the output VOTable. May be a filename or "-" to indicate standard output.

  [Default: `-`]

`version = 1.0|1.1|1.2|1.3|1.4|1.5|1.6` (uk.ac.starlink.votable.VOTableVersion)
  Determines the version of the VOTable standard to which the output will conform. If null (the default), the output table will have the same version as the input table.

Next Previous Up Contents
Next: Examples
Up: votcopy: Transforms between VOTable encodings
Previous: votcopy: Transforms between VOTable encodings

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk